Subject: bug#9402: list-colors-display

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Aug 2011 03:44:37 -0400

> Date: Mon, 29 Aug 2011 23:10:01 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Juri Linkov <[email-masked]>
> > Date: Mon, 29 Aug 2011 22:27:50 +0300
> > 
> > 1. On a tty, running `M-x list-colors-display RET' displays
> > truncated hex color values like:              red    #cd000$
> > where $ is displayed at the end of the partial line.
> > 
> > To display the complete line this could be fixed by incrementing
> > `align-to' from 9 to 10 in `list-colors-print'.  But after that
> > when running it on X two extra spaces are displayed at the end
> > of these lines.
> > 
> > Maybe the bug is somewhere deeper in the display engine
> > that aligns differently on a tty and X?
> 
> It aligns differently, but the result should be identical.  I will
> take a look.

I see the problem: the calculation of the width of the stretch of
white space is subtly different in the TTY and GUI versions of the
code.  It all comes from The Mother Of All Evil: having two separate
versions of code where in fact the TTY version is a proper subset of
the GUI one.

I will merge both versions into one later today, and that should fix
the bug.